Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032580
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorsometimes2016-04-04 12:572016-05-17 09:33
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8e430de95b26
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032580: order by is missing in ProductCharacteristicValue model

DescriptionIn the query executed to load the model ProductCharacteristicValue, is missing a order by criteria.

When this model has got more than 35.000 records, two or more requests are done to backend to retrieve the data (in batchs of 35.000 records).
In some cases, the second request is returning records included in the first request.

It is important that it should be checked in all models, not only ProductCharacteristicValue
Steps To Reproduceit has been reproduced in postgres 9.3.4

in one instance with more than 35.000 product characteristic value:
. do login

error is returned:
OG.Dal.insertData: model insert 'ProductCharacteristicValue': SQLError: code: 6, message: could not execute statement duet to a constraint failure (19 UNIQUE constaint failed: m_proudct_ch_value.m_product_ch_value_id);
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0032664RR16Q2 closedranjith_qualiantech_com order by is missing in ProductCharacteristicValue model 
depends on backport 0032665RR16Q1.1 closedranjith_qualiantech_com order by is missing in ProductCharacteristicValue model 

-  Notes
(0085477)
hgbot (developer)
2016-04-07 10:49

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 12d6c5a3c4a5b1880577e143d0e91b4b83aa2834
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 07 14:18:24 2016 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/12d6c5a3c4a5b1880577e143d0e91b4b83aa2834 [^]

Fixes issue 32580 : Adding Order by clause in ProductCharacteristicValue

---
M src/org/openbravo/retail/posterminal/master/ProductCharacteristicValue.java
---
(0085774)
ranjith_qualiantech_com (developer)
2016-04-20 12:05

Order by has to be added in other models which are missed in posterminal module
(0086036)
hgbot (developer)
2016-04-28 07:49

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8e430de95b267732a649d1207414f352870f4644
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 28 11:16:18 2016 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e430de95b267732a649d1207414f352870f4644 [^]

Fixes issue 32580 : Added missing order by clause to models

---
M src/org/openbravo/retail/posterminal/master/DiscountFilterBusinessPartner.java
M src/org/openbravo/retail/posterminal/master/DiscountFilterBusinessPartnerGroup.java
M src/org/openbravo/retail/posterminal/master/DiscountFilterCharacteristic.java
M src/org/openbravo/retail/posterminal/master/DiscountFilterProduct.java
M src/org/openbravo/retail/posterminal/master/DiscountFilterProductCategory.java
M src/org/openbravo/retail/posterminal/master/DiscountFilterRole.java
M src/org/openbravo/retail/posterminal/master/OfferPriceList.java
M src/org/openbravo/retail/posterminal/master/PriceList.java
M src/org/openbravo/retail/posterminal/master/ProductBOM.java
M src/org/openbravo/retail/posterminal/master/ProductCharacteristicValue.java
M src/org/openbravo/retail/posterminal/master/ProductPrice.java
M src/org/openbravo/retail/posterminal/master/ServicePriceRule.java
M src/org/openbravo/retail/posterminal/master/ServicePriceRuleRangePrices.java
M src/org/openbravo/retail/posterminal/master/TaxCategoryBOM.java
M src/org/openbravo/retail/posterminal/master/TaxZone.java
M src/org/openbravo/retail/posterminal/master/TaxZoneProperties.java
M src/org/openbravo/retail/posterminal/term/ApprovalReason.java
M src/org/openbravo/retail/posterminal/term/CashCloseReport.java
---
(0086485)
migueldejuana (developer)
2016-05-17 09:33

Tested and reviewed in ec98fed2ca51

- Issue History
Date Modified Username Field Change
2016-04-04 12:57 malsasua New Issue
2016-04-04 12:57 malsasua Assigned To => Retail
2016-04-04 12:57 malsasua Triggers an Emergency Pack => No
2016-04-04 13:52 Orekaria Status new => acknowledged
2016-04-06 15:19 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2016-04-06 15:19 ranjith_qualiantech_com Status acknowledged => scheduled
2016-04-07 10:49 hgbot Checkin
2016-04-07 10:49 hgbot Note Added: 0085477
2016-04-07 10:49 hgbot Status scheduled => resolved
2016-04-07 10:49 hgbot Resolution open => fixed
2016-04-07 10:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/12d6c5a3c4a5b1880577e143d0e91b4b83aa2834 [^]
2016-04-13 17:11 Orekaria Status resolved => new
2016-04-13 17:11 Orekaria Resolution fixed => open
2016-04-14 11:29 Orekaria Status new => scheduled
2016-04-14 11:29 Orekaria Status scheduled => resolved
2016-04-14 11:29 Orekaria Resolution open => fixed
2016-04-20 12:05 ranjith_qualiantech_com Note Added: 0085774
2016-04-20 12:05 ranjith_qualiantech_com Status resolved => new
2016-04-20 12:05 ranjith_qualiantech_com Resolution fixed => open
2016-04-20 12:05 ranjith_qualiantech_com Status new => scheduled
2016-04-28 07:49 hgbot Checkin
2016-04-28 07:49 hgbot Note Added: 0086036
2016-04-28 07:49 hgbot Status scheduled => resolved
2016-04-28 07:49 hgbot Resolution open => fixed
2016-04-28 07:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/12d6c5a3c4a5b1880577e143d0e91b4b83aa2834 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e430de95b267732a649d1207414f352870f4644 [^]
2016-05-17 09:33 migueldejuana Note Added: 0086485
2016-05-17 09:33 migueldejuana Review Assigned To => migueldejuana
2016-05-17 09:33 migueldejuana Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker